Package org.gradle.api

## Interface Describable

- All Known Subinterfaces:
    `BuildCacheKey`, `GitVersionControlSpec`, `IdeWorkspace`, `MutableVersionConstraint`, `NativePlatform`, `SourceDirectorySet`, `VersionConstraint`, `VersionControlSpec`, `VisualStudioSolution`, `WorkerConfiguration`, `XcodeWorkspace`
  All Known Implementing Classes:
    `IdeaProject`

      public interface Describable

  Types can implement this interface when they provide a human-readable display name. It is strongly encouraged to compute this display name lazily: computing a display name, even if it's only a string concatenation, can take a significant amount of time during configuration for something that would only be used, typically, in error messages.
  Since:
    3.4

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getDisplayName()` | Returns the display name of this object.

- - ### Method Detail

    - #### getDisplayName

          String getDisplayName()

      Returns the display name of this object. It is strongly encouraged to compute it lazily, and cache the value if it is expensive.
      Returns:
        the display name